Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::views::delimit_impl_fn Struct Reference

## Public Member Functions
template<typename Rng , typename Val >
constexpr auto | operator() (Rng &&rng, Val value) const -> delimit_view< all_t< Rng >, Val > requires viewable_range< Rng > &&input_range< Rng > &&semiregular< Val > &&equality_comparable_with< Val, range_reference_t< Rng >>